List messages
curl --request GET \
--url https://api.assembly.com/v1/messages \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/messages"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"channelId": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"id": "<string>",
"identityId": "<string>",
"isAttachmentIncluded": false,
"object": "message",
"previousAttributes": {},
"ref": "<string>",
"senderId": "550e8400-e29b-41d4-a716-446655440001",
"text": "Thanks for the update, I'll review the contract today.",
"updatedAt": "<string>"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Messages
List messages
Returns a paginated list of messages in a channel, most recent first. The channelId query parameter is required and must be a bare UUID (do not include the GetStream ‘messaging:’ prefix). A maximum of 100 messages are returned per page.
GET
/
v1
/
messages
List messages
Authorizations
Query Parameters
Channel ID to list messages for (UUID format only, do not include the 'messaging:' prefix)
Maximum number of messages to return (capped at 100)
Pagination cursor returned by a previous call
⌘I